org.codehaus.groovy.runtime.dgmimpl

## Class NumberNumberMultiply

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
        - - org.codehaus.groovy.runtime.dgmimpl.NumberNumberMultiply

All Implemented Interfaces:
  java.lang.Cloneable

    public final class NumberNumberMultiply
    extends NumberNumberMetaMethod

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

`NumberNumberMetaMethod.NumberNumberCallSite`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`NumberNumberMultiply()`

### Method Summary

Methods
`CallSite` `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.String` `getName()`
`java.lang.Object` `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`static java.lang.Number` `multiply(java.lang.Number left, java.lang.Number right)` Multiply two Numbers.

### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

`getDeclaringClass, getModifiers, getReturnType`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NumberNumberMultiply

    public NumberNumberMultiply()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `MetaMethod`

#### invoke

    public java.lang.Object invoke(java.lang.Object object,
                          java.lang.Object[] arguments)

Specified by:
  `invoke` in class `MetaMethod`

#### multiply

    public static java.lang.Number multiply(java.lang.Number left,
                            java.lang.Number right)

Multiply two Numbers.

Parameters:
  `left` - a Number
  `right` - another Number
Returns:
  the multiplication of both

#### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site,
                              MetaClassImpl metaClass,
                              MetaMethod metaMethod,
                              java.lang.Class[] params,
                              java.lang.Object receiver,
                              java.lang.Object[] args)

Specified by:
  `createPojoCallSite` in class `CallSiteAwareMetaMethod`